package ink.wgink.module.activiti.pojo.pos.oa;

/**
 * @ClassName: OaNodeAssigneePO
 * @Description: 节点代理人
 * @Author: wanggeng
 * @Date: 2022/4/7 11:32
 * @Version: 1.0
 */
public class OaNodeAssigneePO {

    private Long id;
    private String nodeAssigneeId;
    private String modelId;
    private String modelVersion;
    private String deploymentId;
    private String nodeId;
    private Integer nodeIndex;
    private String nodeType;
    private String assigneeCount;
    private String assignee;
    private String assigneeName;
    private String candidates;
    private String candidateNames;
    private String multipleType;
    private String completeCondition;
    private Integer completeCount;
    private String multipleAssignees;
    private String multipleAssigneeNames;
    private String assigneeType;
    private String autoAssignType;
    private String departmentType;
    private String departments;
    private String departmentNames;
    private String roles;
    private String roleNames;
    private String positions;
    private String positionNames;
    private String quickAssignee;
    private Integer previousNStep;

    public Long getId() {
        return id == null ? 0 : id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNodeAssigneeId() {
        return nodeAssigneeId == null ? "" : nodeAssigneeId.trim();
    }

    public void setNodeAssigneeId(String nodeAssigneeId) {
        this.nodeAssigneeId = nodeAssigneeId;
    }

    public String getModelId() {
        return modelId == null ? "" : modelId.trim();
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getModelVersion() {
        return modelVersion == null ? "" : modelVersion.trim();
    }

    public void setModelVersion(String modelVersion) {
        this.modelVersion = modelVersion;
    }

    public String getDeploymentId() {
        return deploymentId == null ? "" : deploymentId.trim();
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getNodeId() {
        return nodeId == null ? "" : nodeId.trim();
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public Integer getNodeIndex() {
        return nodeIndex == null ? 0 : nodeIndex;
    }

    public void setNodeIndex(Integer nodeIndex) {
        this.nodeIndex = nodeIndex;
    }

    public String getNodeType() {
        return nodeType == null ? "" : nodeType.trim();
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getAssigneeCount() {
        return assigneeCount == null ? "" : assigneeCount.trim();
    }

    public void setAssigneeCount(String assigneeCount) {
        this.assigneeCount = assigneeCount;
    }

    public String getAssignee() {
        return assignee == null ? "" : assignee.trim();
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getAssigneeName() {
        return assigneeName == null ? "" : assigneeName.trim();
    }

    public void setAssigneeName(String assigneeName) {
        this.assigneeName = assigneeName;
    }

    public String getCandidates() {
        return candidates == null ? "" : candidates.trim();
    }

    public void setCandidates(String candidates) {
        this.candidates = candidates;
    }

    public String getCandidateNames() {
        return candidateNames == null ? "" : candidateNames.trim();
    }

    public void setCandidateNames(String candidateNames) {
        this.candidateNames = candidateNames;
    }

    public String getMultipleType() {
        return multipleType == null ? "" : multipleType.trim();
    }

    public void setMultipleType(String multipleType) {
        this.multipleType = multipleType;
    }

    public String getCompleteCondition() {
        return completeCondition == null ? "" : completeCondition.trim();
    }

    public void setCompleteCondition(String completeCondition) {
        this.completeCondition = completeCondition;
    }

    public Integer getCompleteCount() {
        return completeCount == null ? 0 : completeCount;
    }

    public void setCompleteCount(Integer completeCount) {
        this.completeCount = completeCount;
    }

    public String getMultipleAssignees() {
        return multipleAssignees == null ? "" : multipleAssignees.trim();
    }

    public void setMultipleAssignees(String multipleAssignees) {
        this.multipleAssignees = multipleAssignees;
    }

    public String getMultipleAssigneeNames() {
        return multipleAssigneeNames == null ? "" : multipleAssigneeNames.trim();
    }

    public void setMultipleAssigneeNames(String multipleAssigneeNames) {
        this.multipleAssigneeNames = multipleAssigneeNames;
    }

    public String getAssigneeType() {
        return assigneeType == null ? "" : assigneeType.trim();
    }

    public void setAssigneeType(String assigneeType) {
        this.assigneeType = assigneeType;
    }

    public String getAutoAssignType() {
        return autoAssignType == null ? "" : autoAssignType.trim();
    }

    public void setAutoAssignType(String autoAssignType) {
        this.autoAssignType = autoAssignType;
    }

    public String getDepartmentType() {
        return departmentType == null ? "" : departmentType.trim();
    }

    public void setDepartmentType(String departmentType) {
        this.departmentType = departmentType;
    }

    public String getDepartments() {
        return departments == null ? "" : departments.trim();
    }

    public void setDepartments(String departments) {
        this.departments = departments;
    }

    public String getDepartmentNames() {
        return departmentNames == null ? "" : departmentNames.trim();
    }

    public void setDepartmentNames(String departmentNames) {
        this.departmentNames = departmentNames;
    }

    public String getRoles() {
        return roles == null ? "" : roles.trim();
    }

    public void setRoles(String roles) {
        this.roles = roles;
    }

    public String getRoleNames() {
        return roleNames == null ? "" : roleNames.trim();
    }

    public void setRoleNames(String roleNames) {
        this.roleNames = roleNames;
    }

    public String getPositions() {
        return positions == null ? "" : positions.trim();
    }

    public void setPositions(String positions) {
        this.positions = positions;
    }

    public String getPositionNames() {
        return positionNames == null ? "" : positionNames.trim();
    }

    public void setPositionNames(String positionNames) {
        this.positionNames = positionNames;
    }

    public String getQuickAssignee() {
        return quickAssignee == null ? "" : quickAssignee.trim();
    }

    public void setQuickAssignee(String quickAssignee) {
        this.quickAssignee = quickAssignee;
    }

    public Integer getPreviousNStep() {
        return previousNStep == null ? 0 : previousNStep;
    }

    public void setPreviousNStep(Integer previousNStep) {
        this.previousNStep = previousNStep;
    }
}
